<?xml version="1.0" encoding="GB2312"?>
<Config>
<!--  product instruction
    because of the various orientation of sensor, there're some differences
    of gyro and ois between MHA and VV. So identify the target product for algo
    0 represents MHA&LON
    1 represents VV
    2 represents STANF
    3 represents AB
    5 represents EMILY
    6 represents CHARLOTTE
    7 represents NEO
    8 represents COL BKL PCT
    9 represents Hima
    10 represents Laya
    12 represents YAL
    14 represents LION
    15 represents TAHITI
    If there're more products, just add to this list
    rollingShutterTime has to be set real rollingShutterTime * 1000
    minLensPos has to be set real minLensPos * 1000
    maxLensPos has to be set real maxLensPos * 1000
    minCode has to be set real minCode * 1000
    maxCode has to be set real maxCode * 1000
    gyro_offset has to be set real gyro_offset * 1000
    <rollingShutterTime value="24118"/>
    <gyro_offset_st value="700"/>
-->
    <productId value="12"/>
    <zoomCorrection value="1"/>
    <useSensorHub value="1"/>
    <useGSensor value="1"/>
    <useOisSensor value="1"/>
    <fiveAxisStable value="0"/>
    <zoomCrcEnableId value="2"/>
    <oisCameraId value="8"/>

    <needFourKStab value="1"/>
    <needHighFpsStab value="1"/>
    <frameRatio value="120"/>
    <frameRatio4K value="120"/>
    <frameRatioDefault value="120"/>

    <enableForkStreamIn4K value="1"/>
    <previewHwVideoStabLatency value="0"/>
    <recordHwVideoStabLatency value="16"/>
    <maxBufferCount value="16"/>
    <needOisOff value="1"/>
    <regionLimited value="0"/>
    <rollingShutterTime value="20206"/>
    <fourkRearRst       value="19119"/>
    <highfpsRearRst     value="10020"/>
    <normalRearRst      value="20207"/>

    <fourkTeleRearRst      value="20965"/>
    <normalTeleRearRst      value="21620"/>
    <highfpsTeleRearRst      value="3665"/>
    <fourkWideRearRst      value="18491"/>
    <normalWideRearRst      value="22412"/>
    <highfpsWideRearRst      value="11693"/>

    <fourkFrontRst      value="21070"/>
    <highfpsFrontRst    value="10020"/>
    <normalFrontRst     value="29615"/>
    <minLensPos value="5680"/>
    <maxLensPos value="6060"/>
    <minCode    value="249000"/>
    <maxCode    value="867000"/>
    <gyro_offset             value="520"/>
    <gyro_offset_st          value="520"/>
    <gyro_offset_inven       value="520"/>
    <gyro_offset_bosch       value="550"/>
    <gyro_offset_st_front    value="550"/>
    <gyro_offset_inven_front value="550"/>
    <gyro_offset_bosch_front value="550"/>
    <noiseReduceOn value="0"/>
    <tnrEnable value="1"/>
    <tnrSigma value="32000"/>
    <tnrAlpha value="500"/>
    <tnrBeta value="500"/>
</Config>
